Bug 193455 - [NEW PORT] multimedia/baka-mplayer: Simple libmpv player based on QT5
Summary: [NEW PORT] multimedia/baka-mplayer: Simple libmpv player based on QT5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on: 193456 194008
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-08 07:35 UTC by Jan Beich
Modified: 2014-10-19 21:43 UTC (History)
2 users (show)

See Also:


Attachments
shar (4.69 KB, text/plain)
2014-09-08 07:35 UTC, Jan Beich
no flags Details
shar (4.69 KB, text/plain)
2014-09-08 07:35 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (9.3R i386) (73.45 KB, text/plain)
2014-09-08 07:38 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (10.0R amd64) (73.11 KB, text/plain)
2014-09-08 07:39 UTC, Jan Beich
no flags Details
shar, v1.1 (4.70 KB, text/plain)
2014-09-17 21:39 UTC, Jan Beich
no flags Details
shar, v2 (4.25 KB, text/plain)
2014-09-28 20:53 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (9.3R i386) (44.19 KB, text/plain)
2014-09-28 20:59 UTC, Jan Beich
no flags Details
shar, v2 + x11extras (3.95 KB, text/plain)
2014-09-28 22:53 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (9.3R i386, x11extras) (31.92 KB, text/plain)
2014-09-28 22:55 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (9.3R i386, x11extras) (45.14 KB, text/plain)
2014-09-28 22:58 UTC, Jan Beich
no flags Details
amendments (2.52 KB, patch)
2014-10-19 14:53 UTC, Max Brazhnikov
no flags Details | Diff
shar, v3 (5.02 KB, text/plain)
2014-10-19 16:38 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (9.3R i386) for NOTO=off (default) (45.11 KB, text/plain)
2014-10-19 16:40 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (9.3R i386) for NOTO=on (45.73 KB, text/plain)
2014-10-19 16:42 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-09-08 07:35:12 UTC
Created attachment 147048 [details]
shar

Baka MPlayer is a free and open source, cross-platform, libmpv based
multimedia player. Its simple design reflects the idea for an
uncluttered, simple, and enjoyable environment for watching anime.

WWW: http://bakamplayer.u8sand.net/

I'm not sure about category. Does it need "audio" like multimedia/mpv? The interface seems video-oriented but has playlist and displays album art/black box for audio files.
Comment 1 Jan Beich freebsd_committer 2014-09-08 07:35:57 UTC
Created attachment 147049 [details]
shar

Oops, old version.
Comment 2 Jan Beich freebsd_committer 2014-09-08 07:38:43 UTC
Created attachment 147050 [details]
|poudriere testport -P| log (9.3R i386)

Ignore the following invalid error. portlint and bsd.port.mk disagree about empty StartupNotify.

$ portlint -AC
FATAL: Makefile: Use true/false (without quotes) instead of ${TRUE}/${FALSE} in DESKTOP_ENTRIES.
1 fatal error and 0 warnings found.
Comment 3 Jan Beich freebsd_committer 2014-09-08 07:39:56 UTC
Created attachment 147051 [details]
|poudriere testport -P| log (10.0R amd64)
Comment 4 Marcus von Appen freebsd_committer freebsd_triage 2014-09-17 17:49:42 UTC
It does not need an audio category, but additional categories help classifying the port and its capabilities.

Over to Patch Ready.
Comment 5 Jan Beich freebsd_committer 2014-09-17 21:39:12 UTC
Created attachment 147417 [details]
shar, v1.1

Added runtime dependency on qt5-svg or button wouldn't be visible. Noticed after CMake and PKGBUILD changes in git master.
Comment 6 Jan Beich freebsd_committer 2014-09-28 20:53:30 UTC
Created attachment 147771 [details]
shar, v2

- update to 1.9.9-alpha
- switch from qmake to cmake/ninja
- temporarily disable "always on top" due to missing qt5-x11extras
- use vendor desktop file
- kill @dirrmtry (per CHANGES from 20140922)
Comment 7 Jan Beich freebsd_committer 2014-09-28 20:59:03 UTC
Created attachment 147772 [details]
|poudriere testport -P| log (9.3R i386)
Comment 8 Jan Beich freebsd_committer 2014-09-28 22:53:14 UTC
Created attachment 147782 [details]
shar, v2 + x11extras

version to land after bug 194008
Comment 9 Jan Beich freebsd_committer 2014-09-28 22:55:51 UTC
Created attachment 147783 [details]
|poudriere testport -P| log (9.3R i386, x11extras)
Comment 10 Jan Beich freebsd_committer 2014-09-28 22:58:44 UTC
Created attachment 147785 [details]
|poudriere testport -P| log (9.3R i386, x11extras)

Oops, incomplete log.
Comment 11 Jan Beich freebsd_committer 2014-09-29 21:36:06 UTC
Comment on attachment 147771 [details]
shar, v2

No need for workaround after bug 194008 landed.
Comment 12 Max Brazhnikov freebsd_committer 2014-10-19 14:53:56 UTC
Created attachment 148467 [details]
amendments

I made some changes to the port (see the patch vs your last version). I propose to not force dependence on Noto fonts (~140Mb), since the player works fine without it. I plainly removed it from the port, alternative solutions are
1) mention in pkg-message that x11-fonts/noto can be installed to obtain original look&feel
2) install NotoSans-Regular.ttf shipped with the baka-mplayer tarball
Comment 13 Jan Beich freebsd_committer 2014-10-19 16:38:31 UTC
Created attachment 148470 [details]
shar, v3

Integrated attachment 148467 [details] except for

> +post-patch:
> +	${REINPLACE_CMD} '/^Comment/s,=.*,=${COMMENT},' \
> +		${WRKSRC}/etc/sbin/pkgbuild/${PORTNAME}.desktop
> +

Patch conflict is easier to notice unlike irrelevance of sed(1) lines after update.

https://github.com/u8sand/Baka-MPlayer/commit/d8fa8cb

> 1) mention in pkg-message that x11-fonts/noto can be installed to obtain
original look&feel

A port option would convey the intention better.

> 2) install NotoSans-Regular.ttf shipped with the baka-mplayer tarball

This may affect LICENSE of the port.

https://www.gnu.org/licenses/license-list.html#apache2
Comment 14 Jan Beich freebsd_committer 2014-10-19 16:40:40 UTC
Created attachment 148471 [details]
|poudriere testport -P| log (9.3R i386) for NOTO=off (default)
Comment 15 Jan Beich freebsd_committer 2014-10-19 16:42:14 UTC
Created attachment 148472 [details]
|poudriere testport -P| log (9.3R i386) for NOTO=on
Comment 16 Max Brazhnikov freebsd_committer 2014-10-19 21:32:51 UTC
(In reply to Jan Beich from comment #13)
> Created attachment 148470 [details]
> shar, v3

at this stage you don't need to regenerate shar, I'm almost ready to commit the port and just wanted to clarify last details.

> 
> Integrated attachment 148467 [details] except for
> 
> > +post-patch:
> > +	${REINPLACE_CMD} '/^Comment/s,=.*,=${COMMENT},' \
> > +		${WRKSRC}/etc/sbin/pkgbuild/${PORTNAME}.desktop
> > +
> 
> Patch conflict is easier to notice unlike irrelevance of sed(1) lines after
> update.

You're right in general, but in this particular case it's overkill. The patch is too trivial for creating a separate file, it's not specific to FreeBSD for keeping it in the portstree. Submit your patch upstream, and then simply remove sed on the next port upgrade.

(Please, omit "Baka MPlayer is a free and open source, cross-platform," from your patch. It's appropriate for port description, but not for comment. See recommendations: http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html#recognized-keys )

> 
> https://github.com/u8sand/Baka-MPlayer/commit/d8fa8cb
> 
> > 1) mention in pkg-message that x11-fonts/noto can be installed to obtain
> original look&feel
> 
> A port option would convey the intention better.

Ok
Comment 17 commit-hook freebsd_committer 2014-10-19 21:43:00 UTC
A commit references this bug:

Author: makc
Date: Sun Oct 19 21:42:40 UTC 2014
New revision: 371210
URL: https://svnweb.freebsd.org/changeset/ports/371210

Log:
  Add new port multimedia/baka-mplayer:

  Qt 5 multimedia player based on Mpv.

  WWW: http://bakamplayer.u8sand.net/

  PR:		193455
  Submitted by:	Jan Beich

Changes:
  head/multimedia/Makefile
  head/multimedia/baka-mplayer/
  head/multimedia/baka-mplayer/Makefile
  head/multimedia/baka-mplayer/distinfo
  head/multimedia/baka-mplayer/files/
  head/multimedia/baka-mplayer/files/patch-src__ui__mainwindow.ui
  head/multimedia/baka-mplayer/pkg-descr
  head/multimedia/baka-mplayer/pkg-plist
Comment 18 Max Brazhnikov freebsd_committer 2014-10-19 21:43:40 UTC
Committed, thanks!